
#ifndef __SPIFRAM_H
#define __SPIFRAM_H

#include "HardwareProfile.h"

#define FRAM_SUCCESS FALSE

void FRAMInit(void);
BOOL FRAMBeginWrite(DWORD address);
BOOL FRAMWrite(BYTE val);
void FRAMWriteArray(BYTE *val, WORD wLen);
BOOL FRAMEndWrite(void);
BOOL FRAMBeginRead(DWORD address);
BYTE FRAMRead(void);
BOOL FRAMReadArray(DWORD address, BYTE *buffer, WORD length);
BOOL FRAMIsBusy(void);

#endif
